const assert = require('chai').assert;
const expect = require('chai').expect;
const Deck = require("../../lib/k2poker/deck.js").Deck;
const starting_deck = [ "2h","3h","4h","5h","6h","7h","8h","9h","Th","Jh","Qh","Kh","Ah",
                        "2c","3c","4c","5c","6c","7c","8c","9c","Tc","Jc","Qc","Kc","Ac",
                        "2d","3d","4d","5d","6d","7d","8d","9d","Td","Jd","Qd","Kd","Ad",
                        "2s","3s","4s","5s","6s","7s","8s","9s","Ts","Js","Qs","Ks","As"];

describe('Deck', function() {

  describe("#initial state", function () {
    it("should return a deck of cards", function() {
      deck = new Deck();
      deck.cards.forEach(function(card, index){
        assert.equal(card, starting_deck[index]);
      });
    });
  });

  describe("#shuffle()", function() {
    it("should shuffle the cards", function() {
      deck = new Deck();
      deck.shuffle();
      assert.equal(deck.cards.length, 52);
      expect(deck.cards.join()).to.not.equal(starting_deck.join());
    });

  });

});
